<?php
/**
 * @package     Room reservations
 * @subpackage  Room reservations component
 *
 * @author      Miloslav Schmied
 * @copyright   Copyright (C) 2016 - Ergotep, družstvo invalidů
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

// import Joomla controller library
jimport('joomla.application.component.controller');

/**
 * General Controller of JRoomBooking component
 *
 * @since       1.0.0
 */
class JRoomBookingController extends JControllerLegacy
{
    /**
     * The default views for the display method.
     *
     * @var string
     * @since 1.0.0
     */
    protected $default_view = 'rooms';

    /**
     * display task
     *
     * @return void
     * @since 1.0.0
     */
    public function display($cachable = false, $urlparams = false)
    {
        // set default view if not set
        $input = JFactory::getApplication()->input;
        $input->set('view', $input->getCmd('view', 'Rooms'));

        // call parent behavior
        parent::display($cachable, $urlparams);

        // Set the submenu
        JRoomBookingHelper::addSubmenu('rooms');
    }
}