<?php
/**
 * @package     Room reservations
 * @subpackage  Room reservations component
 *
 * @author      Miloslav Schmied
 * @copyright   Copyright (C) 2016 - Ergotep, družstvo invalidů
 * @license     GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
 */

// No direct access
defined('_JEXEC') or die('Restricted access');

/**
 * Rooms Table class
 *
 * @since  0.0.1
 */
class JRoomBookingTableRooms extends JTable
{
    /**
     * Constructor
     *
     * @param   JDatabaseDriver  &$db  A database connector object
     * @since 1.0.0
     */
    function __construct(&$db)
    {
        parent::__construct('#__jroombooking_rooms', 'id', $db);
    }
}